GET

attendancesraw API

Retrieve and manage attendancesraw records from the Apps4Edu sync database.

Endpoint Path

GET /api/attendancesraw

CURL Example

curl "https://api.apps4education.co.uk/api/attendancesraw?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
attendanceID int
studentID int
mark varchar
recordedBy int
recordedOn datetime
minute int
calendarID int
markSubCode text
calendarName varchar
calendarModelID int
calendarStartDate datetime
calendarEndDate datetime
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "attendanceID": 101,
      "studentID": 101,
      "mark": "example_value",
      "recordedBy": "example_value",
      "recordedOn": "example_value",
      "minute": "example_value",
      "calendarID": 101,
      "markSubCode": "example_value",
      "calendarName": "example_value",
      "calendarModelID": 101,
      "calendarStartDate": "example_value",
      "calendarEndDate": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.